%define         srcname          wmMoonClock
%define         srcdirname       src

#lower case for wmdockapp
Name:           wmmoonclock
Version:        1.28
Release:        %mkrel 1
Summary:        A dock application showing the phase of the moon and much more
License:        GPLv2
Group:          Sciences/Astronomy

URL:            http://packages.debian.org/sid/wmmoonclock
Source0:        http://ftp.de.debian.org/debian/pool/main/w/wmmoonclock/%{name}_%{version}.orig.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel



%description
Wmmoonclock is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
the phase of the moon with a very aesthetic picture which can be
clicked on to get the rise and set times, illuminated fraction,
visibility and astronomical coordinates.



%prep
%setup -q -n %{name}-%{version}

%build
cd %{srcdirname}
%make CFLAGS="%optflags" LIBDIR="%ldflags"


%install
rm -rf %{buildroot}
cd %{srcdirname}
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING BUGS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog

* Mon Dec 05 2011 eatdirt <eatdirt> 1.28-1.mga2
+ Revision: 176856
- Upgrade to 1.28

* Sat Oct 08 2011 eatdirt <eatdirt> 1.27-1.mga2
+ Revision: 153046
- imported package wmmoonclock


* Fri Oct 08 2011 Chris Ringeval <dirteat@gmail.com> 1.27-1.mga2
- import wmmoonclock
